Subject: Re: [PATCH] Fix e100 on systems that have cache incoherent DMA

From: James Chapman <[email-masked]>
Date: Wed, 12 Sep 2007 12:30:29 +0100

David Acker wrote:
> Jeff Garzik wrote:
>> David Acker wrote:
>>> Let me know if there is any other information I can provide you.  I 
>>> will look through the code to see what could be going on with your 
>>> machine.  I will also look into reproducing these results with a 
>>> newer kernel.  This may be tricky since compulab's patches are pretty 
>>> stale and don't always apply easily.
>>
>>
>> pktgen outputs for the various cases modified/unmodified[/others?] 
>> would be nice, if you have a spot of time.
>>
>>     Jeff
> 
> I am not familiar with pktgen but I seem to have it working for a simple 
> test.
> I edited the 1-1 example from 
> ftp://robur.slu.se/pub/Linux/net-development/pktgen-testing/examples/ .  
> The results with and without the patch are below. 

It looks like you ran pktgen on the embedded system, which exercised 
only the transmit path. Auke indicated that the lockup was in the RU. 
Have you run pktgen on a test system to fire packets at the embedded 
system at max rate? Also test what happens when you fire packets in both 
directions simultaneously.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development